#include<stdio.h>
#include<stdlib.h>
#include "basic.h"

#ifdef WIN32
#include<sys/types.h>
#include<sys/timeb.h>
#else
#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>
#endif


void nospace(void)
{
  fprintf(stderr,"Out of Memory.\n");
  exit(1);
}

/* Under Windows this gets the clock time using _ftime(). */
/* Under UNIX this gets the resource usage time using getrusage(). */
double getTime(void)
{
#ifdef WIN32
  struct _timeb tstruct;

  _ftime( &tstruct );
  return( (double)tstruct.time + (double)tstruct.millitm/1000.);
#else
  struct rusage r;

  getrusage(RUSAGE_SELF,&r);
  return((double)r.ru_utime.tv_sec + (double)r.ru_utime.tv_usec/1000000.);
#endif
}




